# atlasimagecomposer

A small CLI toolkit that allows you to easily download and compose any FGO expression sheets

## Installations

Install it using `pip` - You need to specify my extra index for it to be found

```shell
pip install --extra-index-url https://forgejo.neshweb.net/api/packages/Firq/pypi/simple/ atlasimagecomposer
```

## Usage

Use it via the CLI command `atlasimagecomposer`

```plain
usage: atlasimagecomposer [-h] [--version] [--output OUTPUT] [--filter FILTER [FILTER ...]] [--timeout TIMEOUT] [--clear-cache]

options:
  -h, --help                    show this help message and exit
  --version                     show program's version number and exit
  --output OUTPUT               Set the output location. This can be an absolute or relative path
  --filter FILTER [FILTER ...]  Specify one or more spritesheet ids that will be fetched
  --timeout TIMEOUT             Set the timeout for all requests towards AtlasAcademy, default is 10s
  --clear-cache                 Clear cached assets before downloading files for a servant
```
